import request from '@/utils/request'

// 查询毛料信息列表
export function listMaterial(query) {
  return request({
    url: '/pay/material/list',
    method: 'get',
    params: query
  })
}

// 查询毛料信息详细
export function getMaterial(id) {
  return request({
    url: '/pay/material/' + id,
    method: 'get'
  })
}

// 新增毛料信息
export function addMaterial(data) {
  return request({
    url: '/pay/material',
    method: 'post',
    data: data
  })
}

// 修改毛料信息
export function updateMaterial(data) {
  return request({
    url: '/pay/material',
    method: 'put',
    data: data
  })
}

// 删除毛料信息
export function delMaterial(id) {
  return request({
    url: '/pay/material/' + id,
    method: 'delete'
  })
}
